<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Grafting](./bitburner.grafting.md) &gt; [graftAugmentation](./bitburner.grafting.graftaugmentation.md)

## Grafting.graftAugmentation() method

Begins grafting the named aug. You must be in New Tokyo to use this. When you call this API, the current work (grafting or other actions) will be canceled.

**Signature:**

```typescript
graftAugmentation(augName: string, focus?: boolean): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

augName


</td><td>

string


</td><td>

The name of the aug to begin grafting. Must be an exact match.


</td></tr>
<tr><td>

focus


</td><td>

boolean


</td><td>

_(Optional)_ Acquire player focus on this Augmentation grafting. Optional. Defaults to true.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the aug successfully began grafting, false otherwise (e.g. not enough money, or invalid Augmentation name provided).

## Exceptions

Will error if called while you are not in New Tokyo.

## Remarks

RAM cost: 7.5 GB

